PHP-инклюдинг в Magic CMS

Дата публикации:
13.03.2007
Всего просмотров:
2310
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Magic CMS 4.x
Уязвимые версии: Magic CMS 4.2.747, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "file" в сценарии mysave.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/mysave.php?file=[file]

URL производителя: www.geo-soft.net/de-ch/produkte/magic_cms/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA